API referenceOrder
POST /api/Order/LogOrderActivity
Logs an activity for an Order. Used by external systems to record actions performed on behalf of an Order (e.g. "order received by SAP", "invoice approved by external system").
POST
/api/Order/LogOrderActivitycurl -X POST "/api/Order/LogOrderActivity" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"orderId": 0,
"activityType": 1,
"message": "string",
"systemName": "string"
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.BackOffice.OrderActivityLogRequestDto
Response
application/json
Logged successfully.
successbooleanrecordCountinteger<int32>dataany
{
"success": true,
"recordCount": 0,
"data": null
}